Minimum Number of Operations to Make Array Continuous - Leetcode 2009 - Python

Поделиться
HTML-код
  • Опубликовано: 20 авг 2024

Комментарии • 32

  • @MP-ny3ep
    @MP-ny3ep 10 месяцев назад +21

    GREATEST CODING CHANNEL ON RUclips. PERIOD.

  • @sayaksengupta4335
    @sayaksengupta4335 10 месяцев назад +4

    this video felt more like a therapy session. "Don't be sad that you couldn't do it. It was hard."
    Jokea apart, great video.

    • @binfos7434
      @binfos7434 Месяц назад

      I did solve it in my head the same way but it was O(n2). As for the optimization, it would have been difficult, so didn't use my brain for it. lol

  • @shivam-codes
    @shivam-codes 10 месяцев назад +1

    the best intuition you can get for any question is this guy for sure

  • @vijayanks1714
    @vijayanks1714 10 месяцев назад +5

    I code in java but i watch the video for the neetcode logical approach for each and every problem

  • @peanutbutter785
    @peanutbutter785 7 месяцев назад

    I've watched your channel (NeetCode channel) almost 2 yrs.
    It always have been such a helpful. Thank you so much!

  • @bushrakhan7204
    @bushrakhan7204 10 месяцев назад +2

    demn such a quick upload, i do dsa in java but i still watch your videos to get the intution

  • @StellasAdi18
    @StellasAdi18 10 месяцев назад

    Just superb. Hats off to way you explain and cover edge cases.

  • @--Nithin
    @--Nithin 10 месяцев назад

    You make these so simple, no way I will ever come up with that solution.

    • @Vancha112
      @Vancha112 10 месяцев назад

      I'm guessing neither does he, you'll have to learn it from somewhere first. I don't think people just come up with non naive solutions for questions like this

  • @bakkks
    @bakkks 10 месяцев назад

    The hardest idea to rationalize for me is that the optimal result array has to start with one of the numbers in the array.
    Because there are solutions that are just as good that don't - e.g. for the array [2,3,6] - the result [1,2,3] is just as good as [2,3,4] - requires 1 change.

  • @sagarpatel6062
    @sagarpatel6062 10 месяцев назад +1

    Too good brother.. Nice explanation
    Thank Youu ! ❤

  • @proofhundred986
    @proofhundred986 10 месяцев назад +1

    More Hard Challegens lets go, do More, Very insightful

  • @abdulmoomin007
    @abdulmoomin007 10 месяцев назад +2

    Thanks for this, Can we have a video on leetcode 1420. Build Array Where You Can Find The Maximum Exactly K Comparisons?

  • @shreyasaini5840
    @shreyasaini5840 10 месяцев назад

    today I came up with the brute force approach on my own :)

  • @anonymoussloth6687
    @anonymoussloth6687 10 месяцев назад +1

    My initial thought was to use binary search.
    If we can figure out for any x: is it possible to make x replacements and make the array continuous - if so, then we can apply binary search.
    But I am not sure how we can figure that out optimally

  • @theLonelyBandit6984
    @theLonelyBandit6984 Месяц назад

    Instead of 2 pointers, we can use Binary search

  • @plsgivemecat
    @plsgivemecat 10 месяцев назад +3

    Hey man, thanks for such a fast upload. I watch your videos because I'm doing DSA in Python. I will be honest, I find your explanation a little fast. I agree I'm slow and I need a lot of examples to actually get the solution methodology in my head but I feel you either speak super fast or don't write out the complete step-by-step process before coding it up. However, I still appreciate that you give us a live coding solution and try the best you can. I am trying to improve my capacity to grasp things better too haha. Thanks again

  • @Cake-bz5bf
    @Cake-bz5bf 10 месяцев назад

    Pls upload more videos on logic making problems

  • @hiepdo9691
    @hiepdo9691 10 месяцев назад

    thanks for this , very helpful

  • @CodingWithCesar
    @CodingWithCesar 10 месяцев назад

    I had a different intuition to use difference in sets but that times out and only works for 54 out 62 test cases :(
    def minOperations(self, nums: List[int]) -> int:
    res = inf
    current = set(nums)
    for num in nums:
    desired = set([x for x in range(num,num+len(nums))])
    res = min(res, len(desired.difference(current)))

    return res

    • @Raymond-Wu
      @Raymond-Wu 10 месяцев назад

      That's O(n^2) since you're creating a set of size n for every num. I had a similar n^2 idea to what was talked about in the video except I used a min heap instead of sorting. This was a hard problem today!

    • @zzz-mn2yy
      @zzz-mn2yy 10 месяцев назад +1

      did your min heap idea worked?@@Raymond-Wu

    • @Raymond-Wu
      @Raymond-Wu 10 месяцев назад

      @@zzz-mn2yyit worked but exceeded the time limit since it was n^2. It got stuck at a similar point to the post above.

  • @committedeel1751
    @committedeel1751 10 месяцев назад +1

    Trying to overlook how the brute force O(n^2) would look like here but struggling...

  • @Ashwin_1198
    @Ashwin_1198 10 месяцев назад

    Bro keep uploading leetcode videos

  • @krateskim4169
    @krateskim4169 10 месяцев назад

    Awesome

  • @everydaylifeisgood
    @everydaylifeisgood 10 месяцев назад

    man this one is hard alright. tough to find solution

  • @karuppasamy.r77
    @karuppasamy.r77 10 месяцев назад

    Nice Explanation man
    How to good at programming like you bro

  • @nafisatabassum4344
    @nafisatabassum4344 10 месяцев назад

    your solution does not give a correct output for multiple duplicate integers.

    • @NeetCodeIO
      @NeetCodeIO  10 месяцев назад

      i believe it does since my submission worked, did it not work for you?